Subject: Re: Cannot submit event

From: "Dave Page" <[email-masked]>
Date: Wed, 21 Apr 2004 09:03:39 +0100

> -----Original Message-----
> From: Josh Berkus [mailto:[email-masked]] 
> Sent: 20 April 2004 17:48
> To: [email-masked]
> Subject: [pgsql-www] Cannot submit event
> 
> Guys,
> 
> I've been trying to submit an event for the last 1/2 hour, 
> and it keeps timing 
> out.   What's up here?

Dunno, I'm just fixing the bug that Bruce found in the events archive
and the database is insufferably slow. Any ideas Marc?

Regards, Dave.

---

From: "Marc G. Fournier" <[email-masked]>
Date: Wed, 21 Apr 2004 06:29:22 -0300 (ADT)

> and the database is insufferably slow. Any ideas Marc?

Beyond the fact that there is an atrocious amount of connections opened
up:

neptune# ps aux | grep 186_ | awk '{print $12}' | sort | uniq -c
   1 186_
   3 186_bric
  27 186_gborg
 104 186_pgsql

nadda ... loadavg is <1 on the database server, and I have pg_autovacuum
enabled to keep tables 'clean' ... does anyone know of a way of having
pg_autovacuum log the database its doing the vacuum on, instead of just
schema.table ... I'm seeing an awful lot of vacuum's of pg_statistic, but
have no idea which database:

[2004-04-21 12:32:29 AM] Performing: VACUUM ANALYZE "public"."siteusers"
[2004-04-21 12:34:09 AM] Performing: VACUUM ANALYZE "pg_catalog"."pg_statistic"
[2004-04-21 12:34:11 AM] Performing: VACUUM ANALYZE "pg_catalog"."pg_statistic"
[2004-04-21 12:34:13 AM] Performing: VACUUM ANALYZE "pg_catalog"."pg_statistic"
[2004-04-21 12:34:15 AM] Performing: VACUUM ANALYZE "pg_catalog"."pg_statistic"
[2004-04-21 08:48:20 AM] Performing: VACUUM ANALYZE "public"."siteusers"

----
Marc G. Fournier           Hub.Org Networking Services (http://www.hub.org)
Email: [email-masked]           Yahoo!: yscrappy              ICQ: 7615664